#include <Array.au3>

Func UpdateWatch($title,$array)
	
$path=@UserProfileDir&"\Local Settings\Application Data\FeedDemon\v1\Watches\"
If Not FileExists($path) Then
	MsgBox(0,"","Watches directory not found")
	Return
EndIf

FileChangeDir($path)
$search=FileFindFirstFile("*.rssw")
If $search=-1 Then
	MsgBox(0,"","Search error")
	Return
EndIf

$watch=False
$pattern="<title>"&$title&"</title>"
While Not $watch
	$file = FileFindNextFile($search)
	If @error Then ExitLoop
	If StringInStr(FileRead($file),$pattern) Then $watch=$file
WEnd
FileClose($search)
If Not $watch Then
	MsgBox(0,"","Watch not found")
	Return
EndIf

$s=UBound($array)-1
For $i=0 To $s
	$array[$i]="<keyword>"&$array[$i]&"</keyword>"
Next

$xml=FileRead($watch)
FileCopy($watch,$watch&".bak")
$pattern="(<keyword>.*)"
$replace=_ArrayToString($array,"")&"</watch>"
$xml=StringRegExpReplace($xml,$pattern,$replace)
FileDelete($watch)
FileWrite($watch,$xml)
	
EndFunc